commit: 5a5c86a41bc4e4ae8e367dd4407116f44d8d6e89
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 3 10:43:27 2016 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 3 11:05:57 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a5c86a4
sys-apps/baselayout: Fix SYMLINK_LIB=no to create lib dir instead of sym
Fix the 'else' branch of SYMLINK_LIB=no code to create 'lib' as
a directory rather than a symlink.
sys-apps/baselayout/baselayout-2.3.ebuild | 4 +---
1 file changed, 1 insertion(+), 3 deletions(-)
diff --git a/sys-apps/baselayout/baselayout-2.3.ebuild
b/sys-apps/baselayout/baselayout-2.3.ebuild
index 5c4e7c1..b4e82d2 100644
--- a/sys-apps/baselayout/baselayout-2.3.ebuild
+++ b/sys-apps/baselayout/baselayout-2.3.ebuild
@@ -106,9 +106,7 @@ multilib_layout() {
else
# nothing exists, so just set it up sanely
ewarn "Initializing ${prefix}lib as a dir"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
+ mkdir -p "${prefix}lib" || die
fi
fi
done